Using Cocoapods one target multiple platforms

I want to try to get Firebase SDK working for both iOS and macOS app using the new Apple Catalyst project (porting iOS app to macOS). I've already setup my Xcode project with Cocoapods and it's wor

View details »

No known class method for selector in Parse installed files

I just created a fresh xcode project and installed cocoapods of parse including FacebookUtils , TwitterUtils and PodsUI after installing and running the new.xcworkspace file i get these 2 errors

View details »

IB Designables: Failed to render and update auto layout status (Google Maps)

From few days, I'm experiencing following issue: Main.storyboard: error: IB Designables: Failed to render and update auto layout status for SomeViewController (BeW-27-X9H): dlopen(GoogleMaps.framew

View details »

Exception occurred applying plugin request[id:'org.jetbrains.kotlin.jvm', version:'1.3.40-eap-40']

An exception occurred applying plugin request [id: 'org.jetbrains.kotlin.jvm', version: '1.3.40-eap-40'] > Failed to apply plugin [id 'org.jetbrains.kotlin.jvm'] > Cannot add extension with name '

View details »

Specs satisfying the `Firebase/Functions` dependency were found, but they required a higher minimum deployment target

I was trying to install pod 'Firebase/Functions' but failed with following error: `[!] CocoaPods could not find compatible versions for pod "Firebase/Functions": In Podfile: Firebase/Functio

View details »

How to use a file with cocopods dependcies in Siri intent extension

I want to use a swift file that is in my main app target in siri intent extension file. I have added the file in the siri intent extension target in Target membership" from the file inspector tab.

View details »

Wireshark lua scripting to dissect CoAP option

I'm writing lua script to dissect coap protocol. However I cannnot get coap options(URI-Path) of 2nd or later if there are several same options. do local test_proto = Proto("test_proto", "Test Pro

View details »

Issue when multiple target with pod installed and setting configs

I have multiple targets for different apps in project. Pods are installed for multiple targets. Now when I am going to create config file for different environment eg. dev, demo, release. and setti

View details »

Cocoapods error: metadata.rb:15:in `initialize':

Got an error when I pod install, Error Message: /usr/local/lib/ruby/gems/2.6.0/gems/cocoapods-core-1.7.1/lib/cocoapods-core/source/metadata.rb:15:in `initialize': undefined method `with_indiffer

View details »

Xcode does not pick up pod updates

Started working on an outdated project that was developed in Swift 3 and Xcode8. Trying to make it work under Xcode 10 and 9 (have them separately). Updated every known location with target platfor

View details »

Header 'MessageKit-Swift.h' not found

I'm trying to setup MessageKit within my app. I've been researching and trying to resolve this for a week with no luck. I'm getting an error in the module.modulemap file saying Header 'MessageKi

View details »

Linking a dynamic framework - statically

I have this binary release only of this framework. We instruct our customers to link it dynamically (by linking a universal binary inside our framework). However - we have a specific customer, whic

View details »

React Native Firebase starter and React Navigation

I want to use the react native firebase starter template and add react navigation. I have got the react-native-firebase-starter project up and running and have linked it to firebase. But now when I

View details »

Problems building through bitrise; more problems building through xcode

I've somehow found myself trying to build an app through bitrise to deploy to testflight. I'm a total novice at all of this, so apologies for what probably seems stupid. Bitrise manages to build e

View details »

Invalid `Podfile` file: No such file or directory @ rb_sysopen - flutter_module⁩/.ios/Flutter/podhelper.rb

I am integrating flutter module in the iOS app and while installing the pod, I am getting this error. Below is the code in podfile. # Uncomment the next line to define a global platform for your p

View details »

Ignoring files when installing dependencies using cocoa pods on React Native/ IOS

I am trying to install react-native-maps using cocoa pods and i noticed after installing over 5000+ files are added to the ios folder which i believe are the dependencies installed by cocoa pods. Do

View details »